<?php
namespace Magento\Shipping\Block\Tracking\Link;

/**
 * Interceptor class for @see \Magento\Shipping\Block\Tracking\Link
 */
class Interceptor extends \Magento\Shipping\Block\Tracking\Link implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Framework\Registry $registry, \Magento\Shipping\Helper\Data $shippingData, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $registry, $shippingData, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
